//
// fiwrap.h - wrapper for FreeImage routines, which we might want to use.
//
// Written by John A deLaubenfels, https://www.adaptune.com/steg.htm .
// Permission granted to use freely in any non-fraudulent way.
//
//
//
//
//
//
//


#ifndef FIWRAP_H
#define FIWRAP_H


#define USE_FI    // turn this off and on, this place only, to enable/disable FreeImage routines.


#ifdef USE_FI
int testFIopen(const char *cFile);
int jpgToBmp(const char *cJpg, const char *cBmp, int force=0);
int pngToBmp(const char *cPng, const char *cBmp, int force=0);
int bmpToJpg(const char *cBmp, const char *cJpg, int force=0, int quality=0);   // quality 12-22-06 (jdl)
int bmpToPng(const char *cBmp, const char *cPng, int force=0, int quality=0);   // quality 12-22-06 (jdl)
#endif // USE_FI


#endif // !FIWRAP_H

